# $new Creates a new object
Usage
    $new(<className>,[<parentHandle> [,<name>[,<param>[,<param>[...]]]])
Description
Creates a new instance of the object <class> with the parent object <parent_id> and the specified <name>. <name> and <parent_id> are optional: if not specified, <name> is assumed to be an empty string and <parent_id> default to 0 (parentless object). Please see the objects documentation for more information.
Syntax Specification
    $new(<className>,[<parentHandle> [,<name>[,<param>[,<param>[...]]]])
Examples
        %myobj = $new(widget,0,pippo)
See also
objects documentation, delete

Index, Functions

KVIrc 4.0.4.4744 Documentation
Generated by kerd at Fri Mar 25 20:00:07 2011